Bug 820024 - App creation failed but allocated 'uid' is not unreserved for the district
App creation failed but allocated 'uid' is not unreserved for the district
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 19:12 EDT by Ravi Sankar
Modified: 2015-05-14 21:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:23:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravi Sankar 2012-05-08 19:12:15 EDT
Steps to reproduce:
- Create district with at least one node
- Fiddle ss-app-create so that it fails and throws some exception
- Try to create app and it will fail as expected.
- check mongo record for the corresponding district and the 'available_uids' will not contain reserved app uid.

Failure of app creation must un-reserve the uid for the district.
Comment 1 Rajat Chopra 2012-05-09 18:00:34 EDT
Fix pushed to crankcase repo with rev#0f6ddeb756f7b8f125fa8396609a8bfe2d495c30
Comment 2 Peter Ruan 2012-05-10 15:43:21 EDT
verified with devenv-stage_188

Note You need to log in before you can comment on or make changes to this bug.